Computer Management

You can use Computer Management to manage local and remote computers.

  • For help with specific tasks, see How to.
  • For general background information, see Concepts.


How to

Microsoft Windows graphic

How to...

  • Connect to another computer


Connect to another computer

Microsoft Windows graphic

To connect to another computer

  1. Open Computer Management (Local)
  2. In the console tree, right-click Computer Management, and then click Connect to another computer.
  3. In the Select Computer dialog box, click Another computer, and then select the computer that you want to manage.

Notes

  • XOX
  • When you are connected to another computer, that computer name appears in parentheses next to Computer Management in the console tree.

Related Topics


Concepts

This section provides general background information about Computer Management.

  • Computer Management overview
  • Understanding Computer Management


Computer Management overview

Computer Management is a collection of administrative tools that you can use to manage a single local or remote computer. It combines several administration utilities into a console tree, and it provides easy access to administrative properties and tools.

You can use Computer Management to:

  • Monitor system events, such as logon times and application errors.
  • Create and manage shared resources.
  • View a list of users connected to a local or remote computer.
  • Start and stop system services, such as Scheduled Tasks and Indexing Service.
  • Set properties for storage devices.
  • View device configurations and add new device drivers.
  • Manage applications and services.

Computer Management contains three items: System Tools, Storage, and Services and Applications. For more information, see:

  • System Tools overview
  • Storage overview
  • Services and Applications overview

Note

  • If you are not a member of the Administrators group, you might not have access rights to view or modify some properties or to perform some tasks.


System Tools overview

System Tools is the first item in the Computer Management console tree. You can use the default tools, Event Viewer, Shared Folders, Local Users and Groups, Performance Logs and Alerts, and Device Manager, to manage system events and performance on the target computer.

  • For more information about Event Viewer, see Event Viewer.
  • For more information about Shared Folders, see Shared Folders.
  • For more information about Local Users and Groups, see Local Users and Groups.
  • For more information about Performance Logs and Alerts, see Performance Logs and Alerts overview.
  • For more information about Device Manager, see Device Manager.


Storage overview

Storage is the second item in the Computer Management console tree. It displays storage devices that are installed on the computer that you are managing. You can use the default tools, Removable Storage, Disk Defragmenter, and Disk Management, to manage the properties of storage devices.

  • For more information about Removable Storage, see Removable Storage.
  • For more information about Disk Defragmenter, see Disk Defragmenter.
  • For more information about Disk Management, see Disk Management.


Services and Applications overview

Services and Applications is the third item in the Computer Management console tree. It contains several default tools to help you manage services and applications on the target computer. For example, you can use Services to view and manage the properties of the Plug and Play service.

  • For more information about Services, see Services.
  • For more information about WMI Control, see WMI Control overview.
  • For more information about Indexing Service, see Indexing Service overview.

Note

  • The actual set of services and applications that you see might vary, depending on which services are installed on the target computer.


Understanding Computer Management

Computer Management has a two-pane view that is similar to Windows Explorer. The console tree is in the left pane, and the results, or details, are in the right pane. When you select an item from the console tree, information about that item is displayed in the details pane. That information can include details about the contents, data, or subtools available for the selected item. For example, if you click Sessions under Shared Folders in System Tools, you can view information about the current user sessions, if any, on the target computer.

The console tree contains three items: System Tools, Storage, and Services and Applications. For more information about these items, see:

  • System Tools overview
  • Storage overview
  • Services and Applications overview

For more information about working with an MMC console tree, see Microsoft Management Console.

Note

  • If you are not a member of the Administrators group, you might not have access rights to view or modify some properties or to perform some tasks.